Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control.events
Class TurnEndedEvent

    java.lang.Object
      robocode.control.events.BattleEvent
          robocode.control.events.TurnEndedEvent

    public class TurnEndedEvent

extends BattleEvent

A TurnEndedEvent is sent to `onTurnEnded()` when the current turn in a battle round is ended.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`, `TurnStartedEvent`

Constructor Summary
`TurnEndedEvent(ITurnSnapshot turnSnapshot)` Creates a new TurnEndedEvent.

Method Summary
`ITurnSnapshot` | `getTurnSnapshot()` Returns a snapshot of the turn that has ended.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TurnEndedEvent

    public TurnEndedEvent(ITurnSnapshot turnSnapshot)

  Creates a new TurnEndedEvent.

  Parameters:
    `turnSnapshot` - a snapshot of the turn that has ended.

Method Detail

### getTurnSnapshot

    public ITurnSnapshot getTurnSnapshot()

  Returns a snapshot of the turn that has ended.

  Returns:
    a snapshot of the turn that has ended.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.